<?php  
session_start(); 

if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}
	
	$branchmid= $_SESSION['branchid'];

	include("connect.php");	header("Access-Control-Allow-Origin: *");
	include("mylibrary.php");
	
	if($_SESSION['utype']=="admin")
	{
		 $eve = "select * from res_batch_master  ";
		$re = mysqli_query($conn, $eve);
	
		}
	else
	{
		$eve = "select * from res_batch_master where branchmid=$branchmid ";
		$re = mysqli_query($conn, $eve);
		}
	
	
	$re = mysqli_query($conn, $eve);	
	
	$response = array();
	$posts = array();
	
	$result="0";
	
	if(mysqli_num_rows($re) > 0)
	{
		$i=1;
		 while($rt = mysqli_fetch_assoc($re))
		 {
			 
				$batchmid=$rt['batchmid'];
				
				$subservicemid=$rt['subservicemid'];

					$subservicename="";
					$eve55= "select * from   res_subservice_master where subservicemid=$subservicemid";
					$re55 = mysqli_query($conn, $eve55);
					 while($rt55 = mysqli_fetch_assoc($re55))
					{
			
						
						$subservicename=$rt55['subservicename'];
						
					}
				
				$piddetail='';
				$currentfile1 = basename($_SERVER['PHP_SELF']);
				 $currentfile = ltrim($currentfile1, 'json');
											$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and maview=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				$piddetail="<a href='batchdetail.php?id=".$rt['batchmid']."' data-toggle='tooltip' data-placement='top' title='Detail' class='fa fa-eye fa-lg'>  </a>";
					}
				$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and maedit=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
				$pidedit="<a href='batchedit.php?id=".$rt['batchmid']."' data-toggle='tooltip' data-placement='top' title='Edit' class='fa fa-edit fa-lg'>  </a>";
				}
				
				$piddelete='';
				$eve23 = "select * from res_moduleallocation_detail where smodulemid in (select smodulemid from res_submodule_master where smfilename='$currentfile') and madelete=1 and  rolemid = ".$_SESSION['userrolemid'];
											$re23 = mysqli_query($conn, $eve23);
	
				if(mysqli_num_rows($re23)>0 || $_SESSION['utype'] == 'admin')
					{
						
						$eve11 = "select batchmid from res_batchallocation_detail where batchmid=$batchmid";
						$re11 = mysqli_query($conn, $eve11);
	
				if(mysqli_num_rows($re11)>0 )
					{
				$piddelete="<a href='batchdelete.php?id=".$rt['batchmid']."'onclick='return confirm(&#39;Are you sure you want to delete ?&#39;);' data-toggle='tooltip' data-placement='top' title='Delete' class='far fa-trash-alt fa-lg'>  </a>";
					}				
					}				
                $op=$pidedit."&nbsp;&nbsp;&nbsp; ".$piddelete;
								
				$batchname=checkvalidstring ($rt['batchname']);
				$batchtiming=checkvalidstring ($rt['batchtiming']);
				
	
				$batchstartdate=date("d-m-Y",strtotime($rt['batchstartdate']));
				$batchenddate=date("d-m-Y",strtotime($rt['batchenddate']));
				
	
	
				$umid=$rt['umid'];
				
				$ufullname='';
				
				$eve2 = "select * from res_user_master where umid ='$umid'";
				
				$re2 = mysqli_query($conn, $eve2);
				
				if(mysqli_num_rows($re2) > 0)
				{
					
					while($rt2 = mysqli_fetch_assoc($re2))
					{
							$ufullname=$rt2['ufullname'];
					}
				}
				
				
				
				$branchmid=$rt['branchmid'];
				
				$branchname='';
				
				$eve5 = "select * from res_branch_master where branchmid ='$branchmid'";

				$re5 = mysqli_query($conn, $eve5);
																			
				if(mysqli_num_rows($re5) > 0)

				{											
																				
				while($rt5 = mysqli_fetch_assoc($re5))
				{
					$branchname=$rt5['branchname'];
						
				}
																				 
				}
				
				
				
								
			$posts[] = array('srno'=> $i++,'op'=> $op,'piddelete'=> $piddelete, 'branchmid'=>$branchname,'subservicemid'=>$subservicename,'batchstartdate'=>$batchstartdate,'batchenddate'=> $batchenddate,'batchtiming'=>$batchtiming,'batchname'=>$batchname,'umid'=>$ufullname);
		 }
		 
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('data' => $posts)));
		mysqli_close($conn);
		return;
	}
	
   else
   {
		$result="0";
		$msg="Invalid Error";
		
		$posts[] = array('p1'=> $result,'p2'=> $msg);
	
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('item' => $posts)));
   }   
	mysqli_close($conn);	
	
?>